Bug#579492: libnet-smtp-server-perl: missing dependency on libnet-dns-perl

Celejar celejar at gmail.com
Tue Apr 27 23:50:28 UTC 2010

Package: libnet-smtp-server-perl
Version: 1.1-3
Severity: serious
Justification: Policy 3.5

Net::SMTP::Server::Relay won't even load unless Net::DNS is available:

Can't locate Net/DNS.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/share/perl5/Net/SMTP/Server/Relay.pm line 11.
BEGIN failed--compilation aborted at /usr/share/perl5/Net/SMTP/Server/Relay.pm line 11.

So we need a dependency on libnet-dns-perl

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.34-rc5-lizzie-00023-g05ce7bf
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libnet-smtp-server-perl depends on:
ii  perl                          5.10.1-12  Larry Wall's Practical Extraction 

libnet-smtp-server-perl recommends no packages.

libnet-smtp-server-perl suggests no packages.

-- no debconf information

More information about the pkg-perl-maintainers mailing list